---
title: 'mod\_carbons'
---

This module implements [XEP-0280: Message
Carbons](http://xmpp.org/extensions/xep-0280.html), allowing users to
maintain a shared and synchronized view of all conversations across all
their online clients and devices.

This module can only synchronize conversations with clients that are
connected at the time of the conversation, and that support XEP-0280.
For synchronization with clients that may be offline at the time of the
conversation, you can additionally use [mod\_mam](/doc/modules/mod_mam)
to store conversations on the server.

# Configuration

As with all modules, you enable it by adding it to the modules\_enabled
list.

``` {.code .lua}
modules_enabled = {
  ...
     "carbons";
}
```

The module has no further configuration.
