% mod_cron

This module keeps track of recurring tasks for other modules.

# Details

More and more modules have recurring periodic tasks they need to have
scheduled, such as removal of old expired files and messages.

This was becoming unwieldy, so mod_cron was introduced to keep track of
all the tasks, e.g. to keep multiple hourly tasks from running at the
exact same time or that weekly tasks really are run weekly, even if
Prosody has been restarted.

In the future this module could also try to schedule tasks in the quiet
hours so that they are less likely to interfere with users.

# Configuration

mod_cron does not have any configuration yet, nor does it need to be
enabled, this is done automatically when it is needed.

