---
title: 'mod\_debug\_sql'
abstract: Extra-verbose SQL query debug logs
---

This module enables extra verbose **debug** logging of all SQL queries done
by Prosody, which is useful when debugging SQL-related problems.

```lua
modules_enabled = {
    -- other modules etc
    "debug_sql";
}
log = {
    debug = "/var/log/prosody/prosody.log"
}
storage = "sql"
```

Make sure to enable debug [logging](/doc/logging).
