---
title: 'mod\_roster'
abstract: Allow users to keep and manage friend lists.
---

Allow users to keep and manage friend lists.

# Details

mod\_roster implements [RFC 6121](http://xmpp.org/rfcs/rfc6121.html).
Any modifications made by a user to their roster is shared between all
clients but some clients may need to log out and back in or manually
request the updated roster before the changes are displayed.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "roster"; -- Enable mod_roster
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "roster"; -- Enable mod_roster
    }
```
