---
title: '0.5.0 Release Notes'
---

*Released 2009-07-21*

[Prosody 0.5.0](/download/start) is something of a milestone, both with
respect to the version number, and in that we have restructured and
decentralised Prosody\'s core routing code.

The benefits of the changes include greater flexibility, performance,
and allowing modules to catch and filter any stanza types they need to.
Significantly, even the handling of the standard message, presence and
iq stanza types is now performed by automatically-loaded core plugins.

Apart from the internal and API changes, this release finally brings us
much-anticipated support for PEP. Remember to add \"pep\" to your config
if you are upgrading from a previous release! :)

The following is a summary of changes since the previous version:

-   New mod\_presence, mod\_message and mod\_iq to modularise routing
-   Support for modules to finally intercept any routed stanza
-   mod\_pep: PEP support (user tune, mood, activity and more)
-   New util.muc API to ease development of custom MUC-based services
-   Support for requiring encryption of client connections
-   Improved telnet console, with c2s:show() and s2s:show()
-   mod\_groups: \"shared roster\" support to configure groups
-   mod\_announce: Plugin to send announcement to all online users
-   mod\_welcome: New plugin to welcome users who register accounts
-   mod\_watchregistrations: Plugin to alert admins of registrations
-   Many optimisations and performance improvements
