---
title: '0.8.0 Release Notes'
---

*Released 2011-04-07*

This release contains a number of new features, at the core new APIs for
pluggable authentication and storage. This has allowed us to develop a
bunch of new modules for integrating Prosody with third-party systems
such as directories and databases.

A detailed review of the new features and documentation can be found in
our blog post at <http://blog.prosody.im/prosody-0-8-0-released/>

A summary of the new features in this release:

-   Support for authentication and storage plugins
-   [Auth plugins:](/doc/authentication) plain, hashed, Cyrus,
    anonymous, LDAP, external, YubiKey
-   An [SQL storage](/doc/storage) plugin supporting MySQL, PostgreSQL
    and SQLite3
-   [Ad-hoc commands](/doc/modules/mod_admin_adhoc) support, to control
    Prosody from your XMPP client
-   Members-only, invite-only and password-protected [multi-user
    conferences](/doc/modules/mod_muc)
-   [A migrator](/doc/migrator) to move data between different data
    stores (file↔SQL)
