---
title: 'mod\_adhoc'
abstract: Provides an internal framework for handling Ad-Hoc Commands (XEP-0050)
---

`mod_adhoc` handles the [XEP-0050: Ad-Hoc
Commands](https://xmpp.org/extensions/xep-0050.html) protocol. It does
not directly provide any commands itself, but acts as a framework for
e.g. [`mod_admin_adhoc`](/doc/modules/mod_admin_adhoc) and others.

# Configuration

It does not normally need to be loaded explicitly, as modules that
depend on it will automatically load it.

`mod_adhoc` has no configuration options.

# Developing

See section about [Developing Ad-Hoc Commands](/doc/developers/modules/mod_adhoc).
