---
abstract: Synchronise bookmarks between Private XML, legacy PEP, and PEP
title: mod_bookmarks
---

::: {.alert .alert-info}
This module is not yet included with Prosody, it's currently only
available in **trunk** builds and will be in the next major release.
:::

# Introduction

This module provides compatibility between the multiple methods of
storing chat bookmarks that exist.

* [XEP-0048 Bookmarks in Private XML](https://xmpp.org/extensions/attic/xep-0048-1.0.html)
* [XEP-0048 Bookmarks in PEP](https://xmpp.org/extensions/xep-0048.html)
* [XEP-0411 Bookmarks conversion between Private XML and PEP](https://xmpp.org/extensions/xep-0411.html)
* [XEP-0402 Bookmarks in PEP](https://xmpp.org/extensions/xep-0402.html)

On first login, XEP-0048 bookmarks are upgraded and stored in PEP.

# Configuration

Simply [enable it like most other modules](/doc/modules_enabled), no
further configuration is needed.
