---
title: 'mod\_presence'
---

This is an autoloaded module that allows users to send status
notifications such as whether they are available to talk or do not wish
to be disturbed.

# Details

mod\_presence implements
[RFC3921bis](http://xmpp.org/internet-drafts/draft-saintandre-rfc3921bis-07.html).

# Usage

``` {.code .lua}
    modules_disabled = {
        -- Other modules
        "presence"; -- Disable mod_presence
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_disabled = {
        -- Other modules
        "presence"; -- Disable mod_presence
    }
```
