---
title: 'mod\_time'
---

Allows the server to respond to requests for the time.

# Details

mod\_time implements
[XEP-0202](http://xmpp.org/extensions/xep-0202.html) and the obsolete
[XEP-0090](http://xmpp.org/extensions/xep-0090.html) for compatibility
with older clients.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "time"; -- Enable mod_time
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "time"; -- Enable mod_time
    }
```
