---
title: 'mod\_uptime'
---

Allows the server to respond to requests for how long it has been
running.

# Details

mod\_uptime implements
[XEP-0012](http://xmpp.org/extensions/xep-0012.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "uptime"; -- Enable mod_uptime
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "uptime"; -- Enable mod_uptime
    }
```
