---
title: '0.1.0 Release Notes'
---

*Released 2008-12-04*

Release early, release often. Well, we\'re not so early as we should
have been, however we are releasing much earlier than we would have
liked [:grin:]{.icon}

Thanks to Waqas for doing far too much, thanks to Tobias for SASL
support and Mac installer, thanks to Paul for documentation and Arch
packages. Finally thanks to Albert, who encouraged us to release before
2012, and for providing rigorous tests for our SRV and IDNA support
[:smile:]{.icon}

A rough list of features:

-   SASL
    -   PLAIN
    -   DIGEST-MD5
-   Legacy authentication
-   TLS
-   Roster
-   Presence subscription
-   Private XML
-   Offline messages
-   Module config backend support
-   Internal components (can bind to component.domain or
    component\@domain)
-   Plugins/modules
    -   Per-host
    -   Hot loading (reload/unload scheduled for 0.2)
-   vCard
-   IDNA
-   SRV resolving (including priority/weight, and fallback)
-   Version/uptime/ping
-   Service discovery
-   In-band registration
-   s2s (dialback only, SASL/TLS coming soon)
-   Data storage
    -   Filesystem (SQL backends are in the works, though filesystems
        suits small setups well)

# Known Issues {#known_issues}

# s2s with some hosts has problems {#s2s_with_some_hosts_has_problems}

-   s2s with [Jabber XCP](http://www.jabber.com/CE/JabberXCP) does not
    work reliably (fixed for 0.2)
-   s2s with some installations of
    [jabberd2](http://jabberd2.xiaoka.com/) do not work (fixed for 0.2)
-   s2s with Gmail and GAFYD domain work, though Prosody does not yet
    handle their re-use of a single stream for messages from multiple
    domains. (incoming messages may get lost)
-   s2s does not yet bounce you an error reply to stanzas that fail to
    be delivered. Outgoing stanzas may get lost if the remote server is
    unreachable.

# Fatal exceptions {#fatal_exceptions}

In lots of places we currently don\'t even \*try\* to catch exceptions
(errors which stop the server). This is purely because of the way we\'ve
been developing, it makes it hard to miss things :)

Note, we don\'t intend for anyone to run Prosody as their main server at
this point in time.

We\'d like you to report exceptions and tracebacks as [Reporting a
bug](/bugs/start).

# Unknown Issues {#unknown_issues}

Too many to list here [:smile:]{.icon}
