---
title: '0.11.2'
---

Released: *2019-01-09*

# Summary

This is a minor bugfix release to our stable 0.11 branch. It fixes a handful
of issues found since the release.

Also for those using Prosody with LuaEvent 0.4.5, please upgrade to LuaEvent
0.4.6 (see [issue #1267](https://issues.prosody.im/1267) for more info).

## Changes

Summary of all changes in this release:

- mod\_csi_simple: Multiple enhancements to built-in 'importance' rules (fixes [#1250](https://prosody.im/issues/issue/1250))
- mod\_vcard_legacy: Limit injection of XEP-0153 to normal presence (fixes [#1252](https://prosody.im/issues/issue/1252))
- util.datetime: Make sure timezone difference is calculated correctly (fixes [#1262](https://prosody.im/issues/issue/1262))
- MUC: Fix traceback when requesting voice (fixes [#1269](https://prosody.im/issues/issue/1269)) (thanks jonas’)
- MUC: Adjust priorities of muc-get-default-role handlers (fixes [#1272](https://prosody.im/issues/issue/1272))
- MUC: Allow changing data attached to an only owner (fixes [#1273](https://prosody.im/issues/issue/1273))
- Multiple fixes and improvements to our experimental epoll (non-libevent) backend
- util.stanza: Deserialize stanza without mutating input (fixes [#711](https://prosody.im/issues/issue/711))
- mod\_mam: Only accept valid JIDs in <always/> and <never/> prefs. (fixes [#1275](https://prosody.im/issues/issue/1275))
- util.pubsub: Restore subscription index from stored data (fixes [#1281](https://prosody.im/issues/issue/1281))
- prosodyctl check: Add statisticsmanager settings to known global options
- util.startup: Always reload logging after config (fixes [#1284](https://prosody.im/issues/issue/1284))
- mod\_posix: Don't reload log files twice


## Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)
