---
title: '0.5.2 Release Notes'
---

*Released 2009-09-28*

[Prosody 0.5.2](/download/start) is a bugfix release for the stable 0.5
branch.

The following is a summary of changes since the previous version:

-   PEP: Fix sending of iq replies on publish
-   MUC: Add MUC namespace to errors (fixes [Gajim\'s
    behaviour](http://trac.gajim.org/ticket/5120))
-   BOSH: Fix reply for host-unknown errors
-   More reliably prevent adding yourself to your roster
-   Fix leaked session object when XEP-0114 components disconnect
-   Apply nodeprep (i.e. case normalization) to usernames at login
-   Implement timeout for s2s dialback responses
-   Correctly fall back on alternate DNS nameservers if one fails
-   More robust parsing of resolv.conf
-   mod\_httpserver: Allow configuration of HTTP base path
-   mod\_console: Gracefully close streams when using s2s:close()
-   Fix libidn crash on Vista and some other Windows systems

Meanwhile development of our 0.6 branch is [ongoing](/source/browse).
Those interested in getting involved are invited to [our
chatroom](/discuss#chatroom).
