---
title: '0.9.11 Release Notes'
---

*Released: 2016-11-03*

We are pleased to announce a new minor release from our stable branch.

A summary of changes in this release:

-   HTTP parser: Improve buffering of incoming HTTP data and add size
    limits ([\#603](https://prosody.im/issues/issue/603))
-   sessionmanager: Fix for an issue which caused people to be kicked
    from conferences if mod\_smacks was enabled
    ([\#648](https://prosody.im/issues/issue/648))
-   Dependencies: Workaround for compatibility with LuaSec 0.6
    ([\#749](https://prosody.im/issues/issue/749))
-   MUC: Accept missing form as \"instant room\" request
    ([\#377](https://prosody.im/issues/issue/377))
-   C2S: Fix issues with destroying disconnected connections
    ([\#590](https://prosody.im/issues/issue/590),
    [\#641](https://prosody.im/issues/issue/641))
-   mod\_privacy: Fix selection of the top resource(s)
    ([\#694](https://prosody.im/issues/issue/694))
-   mod\_presence: Make sure both users get each others presence after
    adding each other ([\#673](https://prosody.im/issues/issue/673))
-   mod\_http\_files: Fix traceback when serving a non-wildcard path
    ([\#611](https://prosody.im/issues/issue/611))
-   mod\_http\_files: Preserve a trailing slash in paths
    ([\#639](https://prosody.im/issues/issue/639))
-   util.datamanager: Fix error handling
    ([\#632](https://prosody.im/issues/issue/632))
-   net.server\_event: Fix internal socket API to allow writing from
    socket.ondrain callback
    ([\#661](https://prosody.im/issues/issue/661))
-   net.server\_event: Fix timeout
    ([commit](https://hg.prosody.im/0.9/rev/1909bde0e79f))
-   net.server\_event: Fix traceback due to write during TLS handshake
    ([commit](https://hg.prosody.im/0.9/rev/c774622ad9db))
-   net.server\_event: Fix buffer length check
    ([commit](https://hg.prosody.im/0.9/rev/206f9b0485ad))

# Download

As usual, download instructions for many platforms can be found on our
[download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release,
[let us know!](https://prosody.im/discuss)
